This discussion is archived
2 Replies Latest reply: Apr 4, 2011 6:20 AM by Yawei Zhang RSS

I want to learn JDE, how ?

Yawei Zhang Explorer
Currently Being Moderated
Hi,

I want to learn J.D.Edwards enterprise one 9.0, I have a Win XP with 2Gb memory, I found in Oracle e-delivery there's the standalone edtion to install, around 2G to donwload.
there's a windows edtion as well as an oracle database edtion, which one should I choose?

Is the standalone edtion free to use? and is it supporting XP?

If I choose the oracle db edition, can I install it with Oracle 10g XE? I have it installed right now.

Many thanks!

Peter.Yawei.Zhang
  • 1. Re: I want to learn JDE, how ?
    Nick-Oracle Explorer
    Currently Being Moderated
    Peter,

    You can choose either one. The Standalone 9.0 SSE version installs SQL Server Express as the local database; the Standalone 9.0 OEE version installs Oracle Enterprise Edition local database.

    Just make sure that you do not have any version of Oracle database (if you're installing the OEE version) or SQL Server (if you're installing the SSE version) on the machine prior to installing Standalone. If any other version of the database is already there, you should uninstall it completely before installing Standalone.

    If the Standalone installer detects, for example, in an SSE installation that SQL Server is already on the machine, it will completely skip over that portion of the installation (including configuring it to work with E1 Standalone).

    If your installation of Standalone does not complete successfully, then you'll have to follow these steps to uninstall Standalone and the local database before doing a reinstallation:

    E1: DEMO: Uninstall Standalone 9.0 SSE or OEE (Doc ID 850355.1)
    https://support.us.oracle.com/oip/faces/secure/km/DocumentDisplay.jspx?id=850355.1


    Here are some good knowledge base articles from the My Oracle Support site for Standalone:

    E1: DEMO: Complete Reference For DEMO/ Standalone Installation, Troubleshooting and Generic Queries (Doc ID 1085839.1)
    https://support.us.oracle.com/oip/faces/secure/km/DocumentDisplay.jspx?id=1085839.1&h=Y

    E1: DEMO: Where to get the EnterpriseOne 9.00 (ERP9 TR 8.98) Standalone downloads and guides (Doc ID 664638.1)
    https://support.us.oracle.com/oip/faces/secure/km/DocumentDisplay.jspx?id=664638.1&h=Y

    JD Edwards EnterpriseOne 9.0 Standalone Client Installation Guide, Update (Doc ID 705516.1)
    https://support.us.oracle.com/oip/faces/secure/km/DocumentDisplay.jspx?id=705516.1


    Regarding your question about Minimum Technical Requirements (MTRs) for Standalone, Windows XP is not currently in their certifications. Standalone uses the same MTRs doc as a regular Windows client. Currently, only non-home editions of Vista are supported (Business, Ultimate, and Enterprise Editions, up through SP2 of Vista), although Windows 7 might be certified in the foreseeable future.

    Windows XP Professional was previously certified, so you should be able to install Standalone successfully on XP -- but if you run into problems that cannot be replicated in one of the currently certified operating systems, then Oracle GCS might ultimately have to tell you to upgrade to a currently certified platform and then replicate the issue before they continue troubleshooting with you.


    JD Edwards EnterpriseOne Tools 8.9x Minimum Technical Requirements for Clients (Doc ID 705409.1)
    https://support.us.oracle.com/oip/faces/secure/km/DocumentDisplay.jspx?id=705409.1

    And here are some of the salient points from that document:

    Hardware Requirements:
    CPU: Minimum required by Microsoft for the operating system
    RAM: 156 MB above the requirements for the operating system
    Hard Drive: 8 GB for system code and initial path code. 6 GB for each additional path code. This is in addition to any other system requirements.

    Printer Support:
    Non-double-byte: Post Script Language Level 2, PCL 5 or line printer.
    Double-byte: Genuine Adobe Systems PostScript Language Level 2 Interpreter version 2015, or PostScript Language Level 3.
    PCL 5 is only supported for non-double-byte customers.
    EnterpriseOne uses CID Font Technology. Support starts at Language Level 2 Interpreter 2015.
    Note: It has been discovered that some third-party interpreters of PostScript Language Level 2 will not properly print CID-Font based double-byte PostScript.



    Operating System Requirements:
    Windows Vista and Windows Vista SP1/SP2 (Business, Ultimate, and Enterprise Editions)
    Note: The EnterpriseOne Windows client must be installed with “Run as Administrator on Windows Vista.
    Note: The EnterpriseOne Windows client must be run with “Run as Administrator on Windows Vista.



    Database Requirements:
    See “JDE Local Database” information contained in the Deployment Server MTR for information on the Local Database Requirements.


    Miscellaneous Requirements:
    · Adobe Acrobat Reader
    · Microsoft Office 2007 is optional. Microsoft Office 2007 is supported beginning with JD Edwards EnterpriseOne Tools 8.96.2. Note that Microsoft Office 2007 has changed some default file extensions. For example, the default extension for Excel files has changed from .xls to .xlsx. Therefore, when exporting to Excel 2007 files, users might have to change the target file name to *.* to see all available files.
    · Microsoft Office 2010 is optional. Microsoft Office 2010 is supported beginning with JD Edwards EnterpriseOne Tools 8.98.3. Note Default file extensions in Microsoft Office 2010 are the same as Microsoft Office 2007. The ability to save files under Microsoft Office 2003 file extensions is still available.



    Now, bear in mind that an installation of Standalone is not a fully-functional installation of E1. There are some things that just won't work; it is for demonstration purposes only, and Oracle GCS only supports getting it to install and launch properly.

    But some customers use it for Configuration Assistant and other handy things besides just looking at some of the screens in EnterpriseOne. You can also use Standalone to run reports (called UBEs) to demonstrate the kinds of reporting you are able to generate in E1.

    You might hear the phrase 'run UBEs' -- 'UBE' stands for Universal Batch Engine, which is what runs reports in E1 and is sometimes used synonymously to refer to the reports themselves.

    But you may also notice that you can run UBEs from the fat client for Standalone (which opens when you double-click the Solution Explorer lightbulb icon to start Standalone), but not from the web client (which you launch from Tools > EnterpriseOne Menu once you have logged into the fat client).

    That's just the way that Standalone works, out of the box, and how it's officially supported by Oracle GCS.

    I hope that some of this information is helpful to you. Good luck with your installation!

    Edited by: user729724 on Mar 30, 2011 4:08 PM

    Edited by: user729724 on Mar 30, 2011 4:50 PM
  • 2. Re: I want to learn JDE, how ?
    Yawei Zhang Explorer
    Currently Being Moderated
    Hi,

    Thanks for your helpful reply!
    I have completed the installation of the standalone edtion with SQL Server 2005 express edtion. everything's just right.

    But I didn't see how to work in it, like how to make a purchase order, how to configure a company. should I install anything else. it is just an empty box, no app.

    Do you know how to do the next step and make a fully fuctional app?

    Peter

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points